"use strict";
/**
 * Created by Evgeny Barabanov on 28/06/2018.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const build_angular_1 = require("@angular-devkit/build-angular");
const core_1 = require("@angular-devkit/core");
const webpackMerge = require('webpack-merge');
class CustomWebpackBrowserBuilder extends build_angular_1.BrowserBuilder {
    constructor(context) {
        super(context);
    }
    buildWebpackConfig(root, projectRoot, host, options) {
        const webpackConfigPath = options.webpackConfigPath || 'webpack.config.js';
        const customWebpackConfig = require(`${core_1.getSystemPath(root)}/${webpackConfigPath}`);
        if (!customWebpackConfig) {
            throw Error('No custom webpack config path specified. The default path is ./webpack.config.js');
        }
        const browserWebpackCOnfig = super.buildWebpackConfig(root, projectRoot, host, options);
        return webpackMerge([browserWebpackCOnfig, customWebpackConfig]);
    }
}
exports.CustomWebpackBrowserBuilder = CustomWebpackBrowserBuilder;
exports.default = CustomWebpackBrowserBuilder;
//# sourceMappingURL=index.js.map