"use strict";
/**
 * Created by Evgeny Barabanov on 28/06/2018.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const build_angular_1 = require("@angular-devkit/build-angular");
const core_1 = require("@angular-devkit/core");
const webpackMerge = require('webpack-merge');
class CustomWebpackServerBuilder extends build_angular_1.ServerBuilder {
    constructor(context) {
        super(context);
        this.context = context;
    }
    buildWebpackConfig(root, projectRoot, host, options) {
        const opt = options;
        const webpackConfigPath = opt.webpackConfigPath || 'webpack.config.js';
        const customWebpackConfig = require(`${core_1.getSystemPath(root)}/${webpackConfigPath}`);
        const browserWebpackConfig = super.buildWebpackConfig(root, projectRoot, host, options);
        return webpackMerge([browserWebpackConfig, customWebpackConfig]);
    }
}
exports.CustomWebpackServerBuilder = CustomWebpackServerBuilder;
exports.default = CustomWebpackServerBuilder;
//# sourceMappingURL=index.js.map