/**
 * Created by Evgeny Barabanov on 28/06/2018.
 */
/// <reference types="node" />
/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { Builder, BuilderContext } from '@angular-devkit/architect';
import { CustomWebpackBrowserBuildSchema } from './schema';
import { BrowserBuilder } from '@angular-devkit/build-angular';
import { Path, virtualFs } from '@angular-devkit/core';
import * as fs from 'fs';
import { NormalizedBrowserBuilderSchema } from '@angular-devkit/build-angular/src/browser';
export interface NormalizedCustomWebpackBrowserBuildSchema extends NormalizedBrowserBuilderSchema {
    webpackConfigPath: string;
}
export declare class CustomWebpackBrowserBuilder extends BrowserBuilder implements Builder<CustomWebpackBrowserBuildSchema> {
    constructor(context: BuilderContext);
    buildWebpackConfig(root: Path, projectRoot: Path, host: virtualFs.Host<fs.Stats>, options: NormalizedCustomWebpackBrowserBuildSchema): any;
}
export default CustomWebpackBrowserBuilder;
